Loading...
Searching...
No Matches
fastjet::VoronoiAreaSpec Class Reference
Area-related classes

Specification for the computation of the Voronoi jet area. More...

`#include <fastjet/AreaDefinition.hh>`

## Public Member Functions

| VoronoiAreaSpec ()
| default constructor (effective_Rfact = 1);
| VoronoiAreaSpec (double effective_Rfact_in)
| constructor that allows you to set effective_Rfact.
double | effective_Rfact () const
| return the value of effective_Rfact
std::string | description () const
| return a textual description of the area definition.

## Detailed Description

Specification for the computation of the Voronoi jet area.

class for holding a "Voronoi area" specification; an area will be assigned to each particle, which is the area of the intersection of the particle's Voronoi cell with a circle of radius R*effective_Rfact.

Definition at line 50 of file AreaDefinition.hh.

## Constructor & Destructor Documentation

## VoronoiAreaSpec() [1/2]

fastjet::VoronoiAreaSpec::VoronoiAreaSpec | ( |  | ) |

inline

default constructor (effective_Rfact = 1);

Definition at line 54 of file AreaDefinition.hh.

## VoronoiAreaSpec() [2/2]

fastjet::VoronoiAreaSpec::VoronoiAreaSpec | ( | double | effective_Rfact_in | ) |

inline

constructor that allows you to set effective_Rfact.

Definition at line 57 of file AreaDefinition.hh.

## Member Function Documentation

## effective_Rfact()

double fastjet::VoronoiAreaSpec::effective_Rfact | ( |  | ) | const

inline

return the value of effective_Rfact

Definition at line 61 of file AreaDefinition.hh.

## description()

string fastjet::VoronoiAreaSpec::description | ( |  | ) | const

return a textual description of the area definition.

Definition at line 39 of file AreaDefinition.cc.

The documentation for this class was generated from the following files:

- include/fastjet/AreaDefinition.hh
- src/AreaDefinition.cc